function this = alter(this,n)

nalt = size(this.Assign,3);
if n > nalt
   this.Assign(1,:,end+1:n) = this.Assign(1,:,end*ones([1,n-nalt]));
   this.stdcorr(1,:,end+1:n) = this.stdcorr(1,:,end*ones([1,n-nalt]));
elseif n < nalt
   this.Assign = this.Assign(1,:,1:n);
   this.stdcorr = this.stdcorr(1,:,1:n);
end

end